# Fetch Customer

## Fetch Customer

<mark style="color:blue;">`GET`</mark> `{{BASE_URL}}/api/v1/customer/mfi/info/fetch?id=:id`

This endpoint allows you to get free cakes.

#### Headers

| Name                                             | Type   | Description                                                           |
| ------------------------------------------------ | ------ | --------------------------------------------------------------------- |
| Authentication<mark style="color:red;">\*</mark> | String | Authentication token to track down who is emptying our stocks.        |
| id<mark style="color:red;">\*</mark>             | Number | The API will do its best to find a cake matching the provided recipe. |

{% tabs %}
{% tab title="200 Customer successfully retrieved." %}

```javascript
{
   "status":200,
   "message":"Customer info successfully fetched",
   "data":{
      "id":132890,
      "full_name":"Anthony Kamau",
      "national_id":"21314151",
      "gender":"Female",
      "phone":"254707888888",
      "date_of_birth":"",
      "date_registered": "13/03/2023 11:18",
      "name":"Anthony Kamau",
      "location":132890,
      "uuid":"c211984f-b5a5-45fb-ae38-9f22fe0465d9",
      "email":""
   }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.patascore.com/customer-operations/fetch-customer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
